pw_work_queue Class Reference

PipeWire work queue object. More...

## Public Member Functions

struct pw_work_queue * | pw_work_queue_new (struct pw_loop *loop)
| Create a new pw_work_queue. More...
void | pw_work_queue_destroy (struct pw_work_queue *queue)
| Destroy a work queue. More...
uint32_t | pw_work_queue_add (struct pw_work_queue *queue, void *obj, int res, pw_work_func_t func, void *data)
| Add an item to the work queue. More...
int | pw_work_queue_cancel (struct pw_work_queue *queue, void *obj, uint32_t id)
| Cancel a work item. More...
int | pw_work_queue_complete (struct pw_work_queue *queue, void *obj, uint32_t seq, int res)
| Complete a work item. More...

## Detailed Description

PipeWire work queue object.

## Member Function Documentation

## pw_work_queue_add()

uint32_t pw_work_queue_add | ( | struct pw_work_queue * | queue,
|  | void * | obj,
|  | int | res,
|  | pw_work_func_t | func,
|  | void * | data
| ) |  |

Add an item to the work queue.

Parameters

  queue | the work queue
  obj | the object owning the work item
  res | a result code
  func | a work function
  data | passed to func

References pw_loop_signal_event.

## pw_work_queue_cancel()

int pw_work_queue_cancel | ( | struct pw_work_queue * | queue,
|  | void * | obj,
|  | uint32_t | id
| ) |  |

Cancel a work item.

Parameters

  queue | the work queue
  obj | the owner object
  id | the wotk id to cancel

References pw_loop_signal_event.

## pw_work_queue_complete()

int pw_work_queue_complete | ( | struct pw_work_queue * | queue,
|  | void * | obj,
|  | uint32_t | seq,
|  | int | res
| ) |  |

Complete a work item.

Parameters

  queue | the work queue
  obj | the owner object
  seq | the sequence number that completed
  res | 0 if the item was found, < 0 on error

References pw_loop_signal_event.

## pw_work_queue_destroy()

void pw_work_queue_destroy | ( | struct pw_work_queue * | queue | ) |

Destroy a work queue.

Parameters

  queue | the work queue to destroy

References pw_loop_destroy_source.

## pw_work_queue_new()

struct pw_work_queue * pw_work_queue_new | ( | struct pw_loop * | loop | ) |

Create a new pw_work_queue.

Parameters

  loop | the loop to use

Returns
  a newly allocated work queue

References pw_loop_add_event.

The documentation for this class was generated from the following files:

- work-queue.h
- work-queue.c